module reset_logic(clk,
		   sdc_reset,
		   cache_reset);
   input  clk;   
   output sdc_reset; // active high
   output cache_reset; // active high

   // rising edge of sys_reset
   reg [2:0] 		      clr_cnt1;
   
   always @ (posedge clk)
     begin
	if (clr_cnt1[2]==0)
	  clr_cnt1 <= clr_cnt1 + 1;
     end
   assign sdc_reset = !clr_cnt1[2];

   reg [10:0] 		      clr_cnt2;
   
   always @ (posedge clk)
     begin
	if (clr_cnt2[10]==0)
	  clr_cnt2 <= clr_cnt2 + 1;
     end
   assign cache_reset = !clr_cnt2[10];

endmodule // reset
